# Query runtime task details

Query the current status of a runtime task.

```text
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/agent-runtime-tasks/{task_id}
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

Set the operation-specific values used in the request: `$TASK_ID`.

## Request example

```bash
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/agent-runtime-tasks/$TASK_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and task details on success.

```json
{"code":0,"data":{"id":"task_01"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.id` | string | Runtime task ID. |

## Error response

```json
{"code":5,"message":"task not found"}
```
